## What Am I Looking At (Waila)
class_name Waila
extends MarginContainer


#region Singleton
static var ref: Waila

func _init() -> void:
	if not ref:
		ref = self
	else:
		queue_free()
#endregion


@onready var name_label: Label = $PanelContainer/MarginContainer/VBoxContainer/Name
@onready var description_label: Label = $PanelContainer/MarginContainer/VBoxContainer/Description

func _ready() -> void:
	release_target()


func hook_target(id: String) -> void:
	var item: ItemResource = DBItems.ref.data[id]
	name_label.text = item.name
	description_label.text = item.description

	visible = true

## Not looking at anything, hide Waila
func release_target() -> void:
	visible = false
